<ion-card mode="md" class="color-page">
  <ion-item class="color-app" lines="none">
    <ion-label class="space">Servicio: {{booking.service.name | titlecase}}</ion-label>
    <ion-thumbnail *ngIf="booking.professional" slot="end" (click)="viewProfessional(booking.professional)">
      <ion-img [src]="booking.professional.photo"></ion-img>
    </ion-thumbnail>
  </ion-item>

  <ion-card-content>
    <div class="divider"></div>
    <ion-card-subtitle class="label" *ngIf="booking.type === 1">Tipo: Esporádico</ion-card-subtitle>
    <ion-card-subtitle class="label" *ngIf="booking.type === 2">Tipo: Mensualidad</ion-card-subtitle>
    <ion-card-subtitle class="label">{{ booking.service.working_day.name }}</ion-card-subtitle>
    <ion-card-subtitle class="label" *ngIf="booking.type === 1">Precio:
      ${{ (booking.service.price * booking.service.quantity) | currency: '' : '' : '1.0-0' }}</ion-card-subtitle>
    <ion-card-subtitle class="label" *ngIf="booking.type === 2">Precio:
      ${{ ((booking.service.price * booking.service.quantity) * 4) | currency: '' : '' : '1.0-0' }}</ion-card-subtitle>
    <ion-card-title *ngIf="!flagView" class="ion-text-center label-address">
      {{ booking.customer_address.address }}
      <ion-icon name="location" class="white"></ion-icon>
    </ion-card-title>
    <ion-card-title *ngIf="booking.status === 1" class="ion-text-center label-status">Reservado</ion-card-title>
    <ion-card-title *ngIf="booking.status === 2" class="ion-text-center label-status">Agendado sin pago</ion-card-title>
    <ion-card-title *ngIf="booking.status === 3" class="ion-text-center label-status">Pago vencido</ion-card-title>
    <ion-card-title *ngIf="booking.status === 4" class="ion-text-center label-status">Pago aprobado</ion-card-title>
    <ion-card-title *ngIf="booking.status === 9" class="ion-text-center label-status">Reprogramada</ion-card-title>
    <ion-card-title *ngIf="booking.status === 10" class="ion-text-center label-status">Terminado</ion-card-title>
    <ion-card-title *ngIf="flagView" class="ion-text-center label-address capitalize">
      {{ booking.customer_address.address }}
      <ion-icon name="location" class="white"></ion-icon>
    </ion-card-title>
    <ion-buttons slot="start" class="ion-text-center btn-center">
      <ion-button (click)="editBooking(booking)" class="white">
        <ion-icon *ngIf="!flagView && booking.status === 1" slot="icon-only" name="create-outline"></ion-icon>
        <ion-icon *ngIf="flagView" slot="icon-only" name="eye-outline"></ion-icon>
      </ion-button>
      <ion-button (click)="deleteBooking(booking)" *ngIf="!flagView" class="white">
        <ion-icon slot="icon-only" name="trash-outline"></ion-icon>
      </ion-button>
      <ion-button *ngIf="!flagView && (booking.status === 2||booking.status === 6)" (click)="payBooking(booking)" class="white">
        <ion-img slot="icon-only" src="assets/images/payu.png"></ion-img>
      </ion-button>
    </ion-buttons>


  </ion-card-content>
</ion-card>
